Network Router CRUD

Bug #1519503 reported by Terry Howe on 2015-11-24
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-openstackclient
Fix Released
Medium
Tang Chen

Bug Description

Add support for neutron router crud: create, delete, list and set with most likely commands for add and remove interface (not sure about that at the moment). I'd recommend one patch per command.

affects: python-openstackclient → openstack-manuals
Andreas Jaeger (jaegerandi) wrote :

Why is this for openstack-manuals?

affects: openstack-manuals → python-openstackclient
Andreas Jaeger (jaegerandi) wrote :

Reassigning back. If there's a change needed in openstack-manuals, please explain what you expect. From the description this is an *implementation* task

Steve Martinelli (stevemar) wrote :

thanks for switching it back andreas

Changed in python-openstackclient:
status: New → Confirmed
importance: Undecided → Medium
Tang Chen (tangchen) on 2015-11-26
Changed in python-openstackclient:
assignee: nobody → Tang Chen (tangchen)
tags: added: neutron
Tang Chen (tangchen) on 2015-12-02
Changed in python-openstackclient:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/256308
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=185412f28c6eea825760617548e4256ac35003bb
Submitter: Jenkins
Branch: master

commit 185412f28c6eea825760617548e4256ac35003bb
Author: Tang Chen <email address hidden>
Date: Sat Dec 12 17:19:10 2015 +0800

    Router: Add class FakeRouter to test "router xxx" command

    A unit test class similar to FakeServer, which is able to fake one
    or more routers. It will be used by the router CRUD patches.

    Change-Id: I9b87c6c95282902c3a829da51229a35d4265a1e4
    Implements: blueprint neutron-client
    Partial-bug: #1519503

Reviewed: https://review.openstack.org/256309
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=3278b3a022c34b1abe28e1ed7b16ed60a059a441
Submitter: Jenkins
Branch: master

commit 3278b3a022c34b1abe28e1ed7b16ed60a059a441
Author: Tang Chen <email address hidden>
Date: Sat Dec 12 10:28:48 2015 +0800

    Router: Add "router list" command using SDK

    Add "router list" command. It takes one "--long" option.

    By default, the command will print router id, name, status,
    admin state up, distributed, ha and project id.

    With "--long" option, it will also print routes and
    external gateway info.

    Change-Id: I9d21904c41c11ee1fa107f985744878a1dc2f970
    Implements: blueprint neutron-client
    Partial-bug: #1519503

Fix proposed to branch: master
Review: https://review.openstack.org/257039

Fix proposed to branch: master
Review: https://review.openstack.org/257354

Fix proposed to branch: master
Review: https://review.openstack.org/257355

Reviewed: https://review.openstack.org/257038
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=6158ebb0e02ca2b796df973e71c6a7d5e829c959
Submitter: Jenkins
Branch: master

commit 6158ebb0e02ca2b796df973e71c6a7d5e829c959
Author: Tang Chen <email address hidden>
Date: Mon Dec 14 16:33:49 2015 +0800

    Router: Add "router create" command using SDK

    This patch adds "router create" command to osc using sdk.

    NOTE: Test for --project needs support for fake identity client v2 and v3.
          These tests will be added in other patches.
    NOTE: external_gateway_info and routes are not supported to be passed to
          create command now. They will be supported in another tow patches.
    NOTE: Creating a ha router is not supported for now. Will support it in
          another patch.

    Change-Id: I7642295d27c27dd498331ae1da1c293706d8f6af
    Implements: blueprint neutron-client
    Partial-bug: #1519503

Reviewed: https://review.openstack.org/257039
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=3364855a2283b57ccd09ea6b98ca45aba5dbcccd
Submitter: Jenkins
Branch: master

commit 3364855a2283b57ccd09ea6b98ca45aba5dbcccd
Author: Tang Chen <email address hidden>
Date: Mon Dec 14 20:54:03 2015 +0800

    Router: Add "router delete" command using SDK

    This patch adds "router delete" command to osc using sdk.

    Change-Id: I47d0ca7f7984942ffceaeb1c9ac69efd09145f40
    Implements: blueprint neutron-client
    Partial-bug: #1519503

Reviewed: https://review.openstack.org/257354
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=8a805dae0cc0ac3391c970a84b540a85cce24274
Submitter: Jenkins
Branch: master

commit 8a805dae0cc0ac3391c970a84b540a85cce24274
Author: Tang Chen <email address hidden>
Date: Tue Dec 15 10:04:07 2015 +0800

    Router: Add "router set" command using SDK

    This patch adds "router set" command to osc using sdk.

    NOTE: Setting ha property of a router is not supported for now.
          Will suppport it in another patch.

    Change-Id: I9c15249ae61a87291f0728ad1c8f0a98aa8119bf
    Implements: blueprint neutron-client
    Partial-bug: #1519503

Reviewed: https://review.openstack.org/257355
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=408dc7b2904f5d60061da07c57cbaeaf1b96c719
Submitter: Jenkins
Branch: master

commit 408dc7b2904f5d60061da07c57cbaeaf1b96c719
Author: Tang Chen <email address hidden>
Date: Tue Dec 15 17:28:06 2015 +0800

    Router: Add "router show" command using SDK

    This patch adds "router show" command to osc using sdk.

    Change-Id: Idb0f7f0376926e97f9f70a52ef21511e7ffa9d92
    Implements: blueprint neutron-client
    Partial-bug: #1519503

Reviewed: https://review.openstack.org/272166
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=1db40e85632b8979f72c3f38b16eb5408d2d6a6e
Submitter: Jenkins
Branch: master

commit 1db40e85632b8979f72c3f38b16eb5408d2d6a6e
Author: Richard Theis <email address hidden>
Date: Mon Jan 25 10:28:59 2016 -0600

    Add router functional tests

    Add functional tests for the "os router" commands.

    Change-Id: I99045e6e2f548ac4206afcdb61940180e609a6bc
    Partial-bug: #1519503
    Partially-implements: blueprint neutron-client

Reviewed: https://review.openstack.org/270721
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=c0d2120883080ba1a4326dc97e078d95de170a51
Submitter: Jenkins
Branch: master

commit c0d2120883080ba1a4326dc97e078d95de170a51
Author: Jas <email address hidden>
Date: Thu Jan 21 04:19:48 2016 -0600

    Add availability zone support for router commands

    This patch allows the adding of availability_zone_hints during
    router create. Also allows for the display of availability_zones
    during list and and show commands.

    Change-Id: Ifbc5c218bc7103d28076d726212ce25321bcf7f1
    Partial-bug: #1519503
    Partially-implements: blueprint neutron-client

Change abandoned by Tang Chen (<email address hidden>) on branch: master
Review: https://review.openstack.org/261053
Reason: Will resubmit with a new account.

Reviewed: https://review.openstack.org/282805
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=acc0297fa61f1dbc23ac5106ea26fc940339c9aa
Submitter: Jenkins
Branch: master

commit acc0297fa61f1dbc23ac5106ea26fc940339c9aa
Author: Tang Chen <email address hidden>
Date: Sun Feb 21 09:10:15 2016 +0800

    Add functional tests for "volume" commands v2

    The tests for v2 "volume" commands are quite similar to v1.

    This patch also map 'metadata' to 'properties', 'volume_type' to 'type'
    to align to the v1 output.

    Change-Id: Icf2c5463b186fc78c890ccd96453090c4a2c2eb6
    Partial-bug: #1519503

Reviewed: https://review.openstack.org/276042
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=01c19ef0bc6abc0dbbd76666bdc0c5dda7ba0196
Submitter: Jenkins
Branch: master

commit 01c19ef0bc6abc0dbbd76666bdc0c5dda7ba0196
Author: Tang Chen <email address hidden>
Date: Thu Feb 4 13:19:01 2016 +0800

    Router: Add --route and --clear-routes options to "router set" command

    --route option is used to set routes to the router.

    It is used like this:

        --route destination=subnet,gateway=ip-address

    destination: destination subnet CIDR
    gateway: nexthop IP address

    --clear-routes is used to clear all routes on the router.

    Change-Id: I97ce4871113c684b29c98cdad4dec9cc80ed20f7
    Implements: blueprint neutron-client
    Partial-bug: #1519503

Reviewed: https://review.openstack.org/281089
Committed: https://git.openstack.org/cgit/openstack/python-openstackclient/commit/?id=ba826fa04fd5f16658da0319f34e26f14d7716d2
Submitter: Jenkins
Branch: master

commit ba826fa04fd5f16658da0319f34e26f14d7716d2
Author: Tang Chen <email address hidden>
Date: Wed Feb 17 15:16:33 2016 +0800

    Make SetAggregate inherit from cliff.Command

    set/unset comamnd classes should inherit from cliff.Command class.

    Also, this patch adds functional tests for aggregate.

    And also, use utils.format_dict() to format the output of the
    properties dict.

    Change-Id: Idb50bef8990da95666960e2414dfd7c9be234bba
    Partial-bug: #1519503
    Closes-Bug: 1546065

Richard Theis (rtheis) wrote :

Hi Tang,

It would be nice to improve the output formatting of the routes and external gateway information fields for the router display commands. Beyond this and the TODOs in the code, are there other work items required to close out this bug? I may be able to help with some of the work.

Thanks,
Richard

Tang Chen (tangchen) wrote :

Hi Richard,

Sorry for the late response.

The TODO in the source code needs some more work. I'll post patches for them recently. :)

And yes, the "route show" output is not good. Will improve it.

After the work above, we can close this one.

Thanks. :)

Richard Theis (rtheis) wrote :

Thank you Tang.

Steve Martinelli (stevemar) wrote :

Automatically unassigning due to inactivity.

Changed in python-openstackclient:
assignee: Tang Chen (tangchen) → nobody
status: In Progress → Triaged
Steve Martinelli (stevemar) wrote :
Changed in python-openstackclient:
status: Triaged → Fix Released
assignee: nobody → Tang Chen (tangchen)

Change abandoned by Dean Troyer (<email address hidden>) on branch: master
Review: https://review.openstack.org/307629

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints